Page MenuHomePhabricator

improper pid file handling of webgui
Closed, ResolvedPublicBUG

Description

since the webgui is suid root, any unprivileged user (however they might get onto the system) might arbitrarily overwrite any file:

frr@fw0:~$ /usr/lib/cgi-bin-webgui -i /etc/resolv.conf
^C
frr@fw0:~$ cat /etc/resolv.conf
5947
frr@fw0:~$

don't know if that could be exploited to gain admin rights, but at least could hose the system.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rc7
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

buzzdeee changed the visibility from "Public (No Login Required)" to "All Users".Nov 14 2018, 10:38 AM
syncer assigned this task to dmbaturin.Nov 14 2018, 1:05 PM
syncer changed the visibility from "All Users" to "Public (No Login Required)".
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc8); removed VyOS 1.2 Crux.
syncer added subscribers: dmbaturin, syncer.

@dmbaturin please remove all related

syncer triaged this task as Low priority.Nov 14 2018, 1:06 PM
pasik added a subscriber: pasik.Dec 16 2018, 11:22 AM
syncer reassigned this task from dmbaturin to hagbard.Feb 7 2019, 11:23 PM
syncer raised the priority of this task from Low to Normal.
syncer added a subscriber: hagbard.

@hagbard we need to remove all old stuff including lightttpd
we going to replace it with nginx as per T808

hagbard changed the task status from Open to In progress.Feb 8 2019, 7:36 PM
hagbard closed this task as Resolved.Feb 9 2019, 10:16 PM
syncer added a project: VyOS 1.3 Equuleus.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.